/*
 * Class FILE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_165 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_165 [] = {0xFF01,237,164,0xFFFF};
static const EIF_TYPE_INDEX egt_2_165 [] = {0xFF01,164,0xFFFF};
static const EIF_TYPE_INDEX egt_3_165 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_165 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_165 [] = {0xFF01,164,0xFFFF};
static const EIF_TYPE_INDEX egt_6_165 [] = {0xFF01,164,0xFFFF};
static const EIF_TYPE_INDEX egt_7_165 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_165 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_165 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_165 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_165 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_165 [] = {0xFF01,164,0xFFFF};
static const EIF_TYPE_INDEX egt_13_165 [] = {0xFF01,504,185,0xFFFF};
static const EIF_TYPE_INDEX egt_14_165 [] = {185,0xFFFF};
static const EIF_TYPE_INDEX egt_15_165 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_16_165 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_17_165 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_18_165 [] = {0xFF01,173,0xFFFF};
static const EIF_TYPE_INDEX egt_19_165 [] = {0xFF01,162,0xFFFF};
static const EIF_TYPE_INDEX egt_20_165 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_21_165 [] = {0xFF01,217,0xFFFF};
static const EIF_TYPE_INDEX egt_22_165 [] = {0xFF01,151,0xFFFF};
static const EIF_TYPE_INDEX egt_23_165 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_24_165 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_25_165 [] = {0xFF01,162,0xFFFF};
static const EIF_TYPE_INDEX egt_26_165 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_27_165 [] = {0xFF01,122,0xFFFF};


static const struct desc_info desc_165[] = {
	{EIF_GENERIC(NULL), 6586, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_165), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_165), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_165), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_165), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_165), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_165), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_165), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_165), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_165), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_165), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_165), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_165), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0149 /*164*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_165), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2351, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2031, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1881, 14},
	{EIF_NON_GENERIC(0x017F /*191*/), 1882, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1883, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1884, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_165), 2362, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_165), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2352, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2477, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2354, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 2355, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2356, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6407, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6465, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6466, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 6390, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2554, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2555, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6441, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6573, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6114, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5934, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6440, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6444, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1941, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2551, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6472, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1942, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2553, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6499, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2354, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 6390, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6409, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6464, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2358, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2359, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2360, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2361, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6408, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6467, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2353, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_165), 6389, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 6405, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6496, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6497, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6498, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6392, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6393, 15},
	{EIF_NON_GENERIC(0x017F /*191*/), 6115, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 6116, 12},
	{EIF_GENERIC(egt_16_165), 6117, 0},
	{EIF_NON_GENERIC(0x019D /*206*/), 6118, 28},
	{EIF_NON_GENERIC(0x019D /*206*/), 6119, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 6120, 56},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 6097, 20},
	{EIF_NON_GENERIC(0x0161 /*176*/), 6098, 17},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 6099, 48},
	{EIF_NON_GENERIC(0x0191 /*200*/), 6110, 24},
	{EIF_NON_GENERIC(0x0191 /*200*/), 6101, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0197 /*203*/), 6102, 18},
	{EIF_NON_GENERIC(0x018B /*197*/), 6111, 16},
	{EIF_NON_GENERIC(0x0167 /*179*/), 6104, 40},
	{EIF_NON_GENERIC(0x0185 /*194*/), 6112, 64},
	{EIF_NON_GENERIC(0x019D /*206*/), 6113, 32},
	{EIF_NON_GENERIC(0x017F /*191*/), 6411, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6436, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6437, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6414, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6416, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6415, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2554, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6440, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6435, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6463, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6481, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6482, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6476, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6477, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6479, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6480, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6478, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6503, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6504, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6508, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6509, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6510, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6505, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6506, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6507, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6511, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 6105, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_165), 6106, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6107, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 6108, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 6109, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2549, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6475, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 6202, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6379, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6380, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6381, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6382, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6383, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6384, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6385, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6386, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6387, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_165), 6388, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 6394, 13},
	{EIF_NON_GENERIC(0x01AF /*215*/), 6395, 44},
	{EIF_GENERIC(egt_19_165), 6396, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6397, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6398, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6399, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6400, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6401, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_165), 6402, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6403, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6404, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6410, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6412, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6413, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6417, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6418, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6419, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6420, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6421, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6422, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6423, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6424, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6425, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6426, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6427, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6428, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6429, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6430, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6431, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6432, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6433, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6434, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6438, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6439, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6442, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6445, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6446, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6447, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6448, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6449, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6450, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6451, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6452, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6453, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6454, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6455, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6456, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6457, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6458, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6459, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6460, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6461, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6462, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6468, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6469, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6470, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6471, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6473, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6474, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6483, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6484, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6485, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6486, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6487, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6488, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6489, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6490, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6491, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6492, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6493, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6494, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6495, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6500, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6501, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6502, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6512, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6513, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6514, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6515, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_165), 6516, 4},
	{EIF_GENERIC(egt_22_165), 6517, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x012F /*151*/), 6518, 8},
	{EIF_GENERIC(NULL), 6519, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6520, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6521, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6522, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_165), 6523, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_165), 6524, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_165), 6525, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_165), 6526, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6527, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6528, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6529, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 6530, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 6531, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 6532, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6533, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6534, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6535, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 6536, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6537, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6538, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6539, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6540, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6541, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6542, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 6543, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6544, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6545, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6546, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6547, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6548, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6549, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6550, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6551, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6552, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6553, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6554, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6555, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6556, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6557, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6558, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6559, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6560, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6561, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6562, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6563, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6564, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6565, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 6566, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6567, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6568, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6569, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6570, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6572, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6576, 36},
	{EIF_NON_GENERIC(0x019D /*206*/), 6577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6578, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6579, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6580, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6581, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6582, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6583, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6584, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_165), 6585, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6393, 15},
	{EIF_NON_GENERIC(0x019D /*206*/), 6406, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6443, 0xFFFFFFFF},
};
void Init165(void)
{
	IDSC(desc_165, 0, 164);
	IDSC(desc_165 + 1, 1, 164);
	IDSC(desc_165 + 32, 77, 164);
	IDSC(desc_165 + 41, 155, 164);
	IDSC(desc_165 + 50, 243, 164);
	IDSC(desc_165 + 56, 206, 164);
	IDSC(desc_165 + 58, 282, 164);
	IDSC(desc_165 + 67, 229, 164);
	IDSC(desc_165 + 68, 30, 164);
	IDSC(desc_165 + 75, 294, 164);
	IDSC(desc_165 + 78, 204, 164);
	IDSC(desc_165 + 165, 237, 164);
	IDSC(desc_165 + 167, 89, 164);
	IDSC(desc_165 + 169, 71, 164);
	IDSC(desc_165 + 328, 50, 164);
	IDSC(desc_165 + 329, 35, 164);
}


#ifdef __cplusplus
}
#endif
